Page MenuHomePhabricator

Set up Central Notice Campaign
Closed, ResolvedPublic1 Estimated Story Points

Description

Details

There will be one campaign

duration and dates: 13th May - 26th May
    buckets: tbd
    banner diet: 100%
    impression rate per user: 5
    mobile and desktop
    Logged In users (between 20 and 1000 edits; different banners)
    visible in Germany
    de.wikipedia.org
    not sticky

Central Notice Request: https://meta.wikimedia.org/wiki/CentralNotice/Request/Dewiki_Occasional_Editors_Campaign

Target Groups:
Only logged in users will be targeted. We differentiate between two groups:
Target group A: eligible voters
more than 200 edits in total
less than 1000 edits in total
registered for at least two months
last edit in 2019 or 2020 --> update: not implemented

Target group B: new users
20 or more edits in total
less than 200 edits in total

User Journey
We will show three different banners:
Banner 1:
CTA: Thank you + did you know about our community support?
Target Group B: eligible voters

Banner 2:
CTA: Thank you + find more tasks in Wikipedia!
Target Group A: new users

Banner 3:
CTA: Thank you and find support + tasks (Banner 1 + 2 combined)
Target Groups: A + B

The a/b test scope is comparing target group specific banners (1 and 2) against banner 3.

Event Timeline

Verena created this task.Apr 7 2020, 12:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2020, 12:56 PM

@Verena Technically, it's possible to hide the banner based on the edit count of the viewing user. This increases the complexity of the banners, though:

  • The banner code would need to request the MediaWiki API to retrieve this value.
  • The banner code would need to prevent an impression from being counted if the banner is hidden.
Verena updated the task description. (Show Details)Apr 14 2020, 9:36 AM

Ok. Will it have an impact on the estimation?

Yes, more complex banners require more development time.

@kai.nissen
Hi Kai,
after talking to Martin about the targeting of edits in article name space only we decided this is too complex and we will just take any edit from all name spaces into account - hopefully making it easiear for everyone :-)

kai.nissen updated the task description. (Show Details)Apr 21 2020, 10:18 AM
kai.nissen set the point value for this task to 1.Apr 21 2020, 11:48 AM

Please find the three campaigns here as per [[T249604]]:

Please check if the buckets are correct: "all" should get 50 % of all impressions, "cs" should get 25 % of all impressions and "nt" should get 25 % of all impressions. But it should either be "all" or "cs/nt" which seems to be relevant for tracking, therefore the buckets. FYI, I'm not an expert on buckets. ;)

Please find all the banners here:

I've created fake banners with the tracking links as per the other Phabricator task. And I use the correct file as background image so that it's easier to update the banner JS/CSS with the right content.

I was uncertain what is meant with “mobile”, so I chose android, iphone and unknown. What has to be activated here for this banner (just unknown)?

kai.nissen added a comment.EditedApr 30 2020, 10:11 AM

Thank you, @MartinRulsch! We decided to run all the banners in just one campaign, though. The banners definitely serve the purpose of testing beforehand. We will change the campaign settings as necessary when the banner development is finished.

I was uncertain what is meant with “mobile”, so I chose android, iphone and unknown. What has to be activated here for this banner (just unknown)?

The device type "unknown" is every device that can't be determined as any of the others. These might be Smart TVs, fridges or browsers with a custom user agent string. Usually, we don't serve banners to that device type.

Verena updated the task description. (Show Details)Apr 30 2020, 3:10 PM
MartinRulsch updated the task description. (Show Details)May 14 2020, 7:28 AM
Aklapper removed a subscriber: WMDE-FUN-Team.
Christine_Domgoergen_WMDE closed this task as Resolved.Oct 5 2020, 11:43 AM